package de.hft.stuttgart.citydoctor2.webservice.model;

import de.hft.stuttgart.citydoctor2.webservice.model.entities.WebError;

public class ErrorReference {

	private int id;
	private String name;

	public static ErrorReference of(WebError err) {
		return new ErrorReference(err.getId(), err.getName());
	}
	
	private ErrorReference(int id, String name) {
		super();
		this.id = id;
		this.name = name;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
